CVE-2023-52251

CVSS 3.1 Score 8.8 of 10 (high)

Details

Published Jan 25, 2024
Updated: Feb 29, 2024
CWE ID 94

Summary

CVE-2023-52251 is a vulnerability found in provectus kafka-ui versions 0.4.0 through 0.7.1, which allows remote attackers to execute arbitrary code by exploiting the "q" parameter of the "/api/clusters/local/topics/{topic}/messages" endpoint. The vulnerability affects multiple products including uYAhRp, uYAhRr, uYAhRq, uYAhRt, uYAhRs, uYAhRv, uYAhRu, uYAhRx, uYAhRw, uYAhRz, uYAhRy, uYAhR1, uYAhR0, and uYAhR2. It has a high severity rating with a CVSS score of 8.8 out of 10. The exploitability score is 2.8 out of 10 and the impact score is 5.9 out of 10. The vulnerability poses a potential danger to organizations as it allows for code execution by remote attackers over the network with low privileges required. Remediation measures should be taken promptly to mitigate this risk.

Note: The provided text does not contain any source descriptions or information about how to remediate the vulnerability specifically.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-52251 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options